# -*- encoding=utf8 -*-
import json
import traceback

from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from air_case.public1.public1.public1 import *
from common.db.sql.sql_del_branch_info import delData

from common.fileUtls import FileUtils
from common.run_cmd_script import execute_command
from common.timeUtils import timeUtils
from airtest.core.api import using

__author__ = "xiaohesheng"

"""
case_tag:api,spd_core1,a_b7流程十四退库业务_消耗退库,id2302,id2302-17,sit,on
核心业务流:a_b7流程十四退库业务_消耗退库
python runner_test.py tag id2302-17 debug mdm3
"""


def SERACH_goods_id(GoodsId):
    # 在请领出库渠道边仓中搜索产品
    module = 'b5_spd3_core_business_flow'
    # # 登录获取用户id等信息，使用创建的用户登录===========开始
    info = FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')
    username = info['username1']
    password = commonFuc().get_business_data("b2_herp3_bs", "password")
    print('username,password', username, password)
    # # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login(username, password, 2)
    # 登录获取用户id等信息，使用创建的用户登录============结束\
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    url = commonFuc().get_api_add_port_url() + commonFuc().get_business_data(module,
                                                                             "herpService_mcmsBranchGoodsInfo_page_url")
    dept1 = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']
    # hosGoodsId = FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message2')['hosGoodsId']
    # GoodsId = hosGoodsId.replace(get_hosid(), '')
    request_body = commonFuc().get_business_data(module, "payload53_2", GoodsId, get_hosid(), get_branch_id(), dept1)
    result = commonFuc().http_post(url, request_body, headers)
    branchGoodsId = commonFuc().analysis_json('id', commonFuc().analysis_json('data', commonFuc().analysis_json('data',
                                                                                                                result)))
    return branchGoodsId


def second_dept_consume_Out_Stock(hosGoodsId, type):
    module = "b5_spd3_core_business_flow"
    # # 登录获取用户id等信息，使用创建的用户登录===========开始
    info = FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')
    username = info['username1']
    password = commonFuc().get_business_data("b2_herp3_bs", "password")
    print('username,password', username, password)
    # # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login(username, password, 2)
    # 登录获取用户id等信息，使用创建的用户登录============结束
    # 我要请领_手工请领_列表查询===========================
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))

    if type == 1:
        udi_code = get_udi2(1)  # 获取条码 低值1 高值2 试剂3
    elif type == 2:
        udi_code = get_udi2(2)  # 获取条码 低值1 高值2 试剂3
    elif type == 3:
        udi_code = get_udi2(3)  # 获取条码 低值1 高值2 试剂3
    else:
        udi_code = 'udi_code'

    # url = commonFuc().get_api_add_port_url() + commonFuc().get_business_data(module,
    #                                                                          "herpService_mcmsBranchGoodsInfo_page_url")
    # dept1 = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']
    # GoodsId = hosGoodsId.replace(get_hosid(), '')
    # request_body = commonFuc().get_business_data(module, "payload53_2", GoodsId, get_hosid(), get_branch_id(), dept1)
    # result = commonFuc().http_post(url, request_body, headers)
    # branchGoodsId = commonFuc().analysis_json('id', result)

def  sCan_grant(type=1):
    module = "b5_spd3_core_business_flow"
    # # 登录获取用户id等信息，使用创建的用户登录===========开始
    info = FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')
    username = info['username1']
    password = commonFuc().get_business_data("b2_herp3_bs", "password")
    print('username,password', username, password)
    # # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login(username, password, 2)
    # 登录获取用户id等信息，使用创建的用户登录============结束
    if type == 1:
        udi_code = get_udi2(1)  # 获取条码 低值1 高值2 试剂3
    elif type == 2:
        udi_code = get_udi2(2)  # 获取条码 低值1 高值2 试剂3
    elif type == 3:
        udi_code = get_udi2(3)  # 获取条码 低值1 高值2 试剂3
    else:
        udi_code = 'udi_code'
    if type == 1:
        targetAreaCode, sourceId = pickScan3(udi_code, 1)  # 低值
    elif type == 2:
        targetAreaCode, sourceId = pickScan3(udi_code, 2)  # 高值
    elif type == 3:
        targetAreaCode, sourceId = pickScan3(udi_code, 3)  # 试剂
    else:
        targetAreaCode = 'targetAreaCode'
        sourceId = 'sourceId'
try:
    updateUserLoginDefaultRange(get_listUserMgrRangePage1(2))  # 设置登录账号默认权限是二级库
    sCan_grant()
    # # # # 低值
    # second_dept_consume_Out_Stock(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message2')['hosGoodsId'], 1)
    # # # # 高值
    # second_dept_consume_Out_Stock(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message1')['hosGoodsId'], 2)
    # # # # 试剂
    # second_dept_consume_Out_Stock(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message3')['hosGoodsId'], 3)
    #
    # for i in range(6):  # 三个单据共审批6次
    #     approval_center()
    # updateUserLoginDefaultRange(get_listUserMgrRangePage1(2))  # 设置登录账号默认权限是二级库
    #
    # # 低值拣货执行
    # second_dept_one_key_in(3)
    # second_dept_one_key_in(3)
    # second_dept_one_key_in(3)
    commonFuc().check_text_exist_result_text('succees', 'succees')
except:
    commonFuc().check_text_exist_result_text('error', '1')
